Summary:  Thai language support routines
Name: libthai
Version: 0.1.29
Release: 4%{?dist}
License: LGPLv2+
URL: http://linux.thai.net
Source0: http://linux.thai.net/pub/thailinux/software/libthai/libthai-%{version}.tar.xz
Patch3000: libthai-0.1.9-multilib.patch
BuildRequires: gcc make doxygen
BuildRequires: pkgconfig(datrie-0.2)

%description
libthai includes important Thai-specific functions e.g. word
breaking, input and output methods as well as basic character 
and string supports. It is convenient for developers who need
to support Thai in the program.

%package devel
Summary:  Thai language support routines
Requires: libthai = %{version}-%{release}
Requires: pkgconfig

%description devel
Development libraries and header files for using libthai.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

find %{buildroot} -name \*.la -delete

%files
%license COPYING
%doc README AUTHORS ChangeLog
%{_libdir}/lib*.so.*
%{_datadir}/libthai

%files devel
%doc %{_docdir}/libthai/*
%{_includedir}/thai
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.29-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.29-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 Wang Zhe <bessiewang@tencent.com> - 0.1.29-1
- initial build
